I have the interstar 8005 software in my neosat 9800i.
But when i am trying to download the new software it says version mismatch.
Can anyone help?